Bug 178247 - Remove unnecessary include from Document.h
Summary: Remove unnecessary include from Document.h
Status: REOPENED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Alex Christensen
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2017-10-12 18:14 PDT by Alex Christensen
Modified: 2017-10-16 15:41 PDT (History)
8 users (show)

See Also:


Attachments
Patch (2.87 KB, patch)
2017-10-12 18:14 PDT, Alex Christensen
no flags Details | Formatted Diff | Diff
Patch (2.89 KB, patch)
2017-10-12 18:52 PDT, Alex Christensen
darin: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Christensen 2017-10-12 18:14:19 PDT
Remove unnecessary include from Document.h
Comment 1 Alex Christensen 2017-10-12 18:14:45 PDT
Created attachment 323617 [details]
Patch
Comment 2 Alex Christensen 2017-10-12 18:52:15 PDT
Created attachment 323620 [details]
Patch
Comment 3 Darin Adler 2017-10-15 18:23:08 PDT
Comment on attachment 323620 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=323620&action=review

> Source/WebCore/dom/Document.cpp:5548
> +    return m_touchEventTargets ? m_touchEventTargets->size() : false;

I think we should use && instead of ? : for this.

> Source/WebCore/dom/Document.cpp:5557
> +    return m_touchEventTargets ? m_touchEventTargets->contains(&node) : false;

Ditto.
Comment 4 Alex Christensen 2017-10-16 12:49:35 PDT
http://trac.webkit.org/r223425
Comment 5 Radar WebKit Bug Importer 2017-10-16 12:50:02 PDT
<rdar://problem/35012315>
Comment 6 Ryan Haddad 2017-10-16 15:40:39 PDT
Reverted r223425 for reason:

This change broke internal builds.

Committed r223443: <https://trac.webkit.org/changeset/223443>
Comment 7 Ryan Haddad 2017-10-16 15:41:16 PDT
(In reply to Ryan Haddad from comment #6)
> Reverted r223425 for reason:
> 
> This change broke internal builds.
> 
> Committed r223443: <https://trac.webkit.org/changeset/223443>
See radar for details.